> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get the details of an API key by ID.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /api_keys/{id}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /api_keys/{id}:
    get:
      tags:
        - APIKeys
      summary: Get
      description: |
        Get the details of an API key by ID.
      operationId: ApiKeysGet
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          description: |
            a resource identifier
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |
            Get the details of an API key by ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIKey'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    APIKey:
      type: object
      properties:
        id:
          description: |
            unique API key resource identifier
          type: string
        uri:
          description: |
            URI to the API resource of this API key
          type: string
        description:
          description: >
            human-readable description of what uses the API key to authenticate.
            optional, max 255 bytes.
          type: string
        metadata:
          description: >
            arbitrary user-defined data of this API key. optional, max 4096
            bytes
          type: string
        created_at:
          description: |
            timestamp when the api key was created, RFC 3339 format
          type: string
        token:
          description: >
            the bearer token that can be placed into the Authorization header to
            authenticate request to the ngrok API. **This value is only
            available one time, on the API response from key creation. Otherwise
            it is null.**
          type: string
        owner_id:
          description: >
            If supplied at credential creation, ownership will be assigned to
            the specified User or Bot. Only admins may specify an owner other
            than themselves. Defaults to the authenticated User or Bot.
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````